aboutsummaryrefslogtreecommitdiffstats
path: root/meta-crownbay/README
diff options
context:
space:
mode:
authorNitin A Kamble <nitin.a.kamble@intel.com>2012-07-16 01:40:42 -0700
committerTom Zanussi <tom.zanussi@intel.com>2012-07-31 23:07:15 -0500
commit83a4aa1a44cb21a44c6a69f08a193a724294442a (patch)
tree60aa47eb708413d9228cb7bbbf7870cb54d08bf5 /meta-crownbay/README
parent7bd163e41f6b861448ab19a13ded4b7c48e16641 (diff)
downloadmeta-intel-83a4aa1a44cb21a44c6a69f08a193a724294442a.tar.gz
meta-intel-83a4aa1a44cb21a44c6a69f08a193a724294442a.tar.bz2
meta-intel-83a4aa1a44cb21a44c6a69f08a193a724294442a.zip
emgd-driver-bin: upgrade from 1.10 to 1.14
1.14 is the latest released driver for emgd. This change is tested on crownbay machine. Add runtime dependency to libxcb-dri2 Otherwise the libxcb-dri2.so is not getting installed, and video acceleration of emgd does not work. It is dynamic dependency of emgd_drv_video.so put files in gstreamer-0.10/.debug directory to the debug package. It avoids debug files packaging warnings. add downloadfilename param to SRC_URI As the url does not have the filename of the tarball, specify it here so that updated wget bitbake fetcher can save the downloaded file accordingly. BTW now EDC has also published another download URL on our request: http://edc.intel.com/App_Shared/Downloads/LIN_IEMGD_1_14_GOLD_2443.tgz And update emgd driver version in the README. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com> Tested-by: Tom Zanussi <tom.zanussi@intel.com>
Diffstat (limited to 'meta-crownbay/README')
-rw-r--r--meta-crownbay/README8
1 files changed, 4 insertions, 4 deletions
diff --git a/meta-crownbay/README b/meta-crownbay/README
index b56c79a2..25214326 100644
--- a/meta-crownbay/README
+++ b/meta-crownbay/README
@@ -6,7 +6,7 @@ The Crown Bay platform consists of the Intel Atom Z6xx processor,
plus the Intel EG20T Platform Controller Hub (Tunnel Creek + Topcliff).
It also supports the E6xx embedded on-chip graphics via the Intel
-Embedded Media and Graphics Driver (EMGD) 1.10 Driver.
+Embedded Media and Graphics Driver (EMGD) 1.14 Driver.
Dependencies
@@ -63,7 +63,7 @@ common metadata shared between BSPs) e.g.:
The meta-crownbay layer contains support for two different machine
configurations. These configurations are identical except for the fact
that the one prefixed with 'crownbay' makes use of the
-Intel-proprietary EMGD 1.10 graphics driver, while the one prefixed
+Intel-proprietary EMGD 1.14 graphics driver, while the one prefixed
with 'crownbay-noemgd' does not.
If you want to enable the layer that supports EMGD graphics add the
@@ -73,10 +73,10 @@ following to the local.conf file:
The 'crownbay' machine includes the emgd-driver-bin package, which has
a proprietary license that must be whitelisted by adding the string
-"license_emgd-driver-bin_1.10" to the LICENSE_FLAGS_WHITELIST variable
+"license_emgd-driver-bin_1.14" to the LICENSE_FLAGS_WHITELIST variable
in your local.conf. For example:
- LICENSE_FLAGS_WHITELIST = "license_emgd-driver-bin_1.10"
+ LICENSE_FLAGS_WHITELIST = "license_emgd-driver-bin_1.14"
If you want to enable the layer that does not support EMGD graphics
add the following to the local.conf file: